import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

abstract class AppTheme {
  const AppTheme._();

  static final _lightTheme = ThemeData.light();
  static get appLightTheme => _lightTheme.copyWith(
        scaffoldBackgroundColor: whiteColor,
        brightness: Brightness.light,
        primaryColor: lightPrimaryColor,
        primaryTextTheme: _lightTheme.primaryTextTheme.copyWith(
          bodyMedium: GoogleFonts.poppins(),
        ),
        visualDensity: VisualDensity.adaptivePlatformDensity,
        appBarTheme: const AppBarTheme(
            backgroundColor: whiteColor,
            elevation: 0,
            iconTheme: IconThemeData(color: lightTextColor)),
        textButtonTheme: TextButtonThemeData(
          style: TextButton.styleFrom(
            foregroundColor: lightPrimaryColor,
          ),
        ),
      );

  static const Color lightBackgroundColor = Color.fromRGBO(245, 245, 245, 1);
  static const Color lightPrimaryColor = Color.fromRGBO(86, 119, 252, 1);
  static const Color lightTextColor = Color.fromRGBO(75, 75, 75, 1);
  static const Color whiteColor = Color.fromRGBO(255, 255, 255, 1);
  static const Color redColor = Color.fromRGBO(238, 47, 61, 1);
  static const Color blackColor = Color.fromRGBO(21, 21, 21, 1);
}
